Name:           mm-common
Version:        1.0.5
Release:        1
Summary:        Provides build infrastructure, utilities for GNOME C++ binding libraries
License:        GPLv2+
URL:            https://gtkmm.org
Source0:        https://download.gnome.org/sources/%{name}/1.0/%{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  meson

Requires:       pkgconfig graphviz doxygen libxslt

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.

%package docs
Summary:        Documentation for %{name}, includes example mm module skeleton
Requires:       %{name} = %{version}-%{release}

%description docs
Package contains short documentation for %{name} and example skeleton module,
which could be used as a base for new mm module.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%doc NEWS AUTHORS
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/aclocal/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pkgconfig/*.pc

%files docs
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 1.0.5-1
- update to 1.0.5

* Mon Jun 20 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 1.0.4-2
- Add mm-common.yaml

* Thu Apr 21 2022 dillon chen <dillon.chen@gmail.com> - 1.0.4-1
- Update to 1.0.4

* Fri Jun 18 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 1.0.2-1
- Package init with version 1.0.2
